=== debian/changelog ===
iem-plugin-suite (1.1.1-1) unstable; urgency=medium

  * New upstream version 1.1.1
    * Refreshed patches
  * Link against fftwf
    * B-D on libfftw3-dev
  * Prefix standalone applications with _iem-plugin-'
  * Dropped no-longer used manpage
  * Updated Vcs-* stanzas to salsa.d.o

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 23 Feb 2018 20:59:33 +0100

iem-plugin-suite (1.1.0-1) unstable; urgency=medium

  * New upstream version 1.1.0
    * Refreshed patches
  * Fixed spelling errors
  * B-D on juce-modules-source>=5.2.1 required by BinauralDecoder
  * Included upstream README & ChangeLog
  * Updated maintainer email address
  * Refreshed d/copyright_hints
  * Fixed watch file

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 09 Feb 2018 21:26:37 +0100

iem-plugin-suite (1.0.4-1) unstable; urgency=medium

  * New upstream version 1.0.4
    * Refreshed patches
  * Updated d/copyright
    * Refreshed d/copyright_hints
  * Fixed d/watch
  * Bumped standards version to 4.1.3

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 10 Jan 2018 20:48:57 +0100

iem-plugin-suite (1.0.1-2) unstable; urgency=medium

  * Install ardour & carla symlinks
  * Use source package "juce" for Built-Using

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 25 Dec 2017 22:43:54 +0100

iem-plugin-suite (1.0.1-1) unstable; urgency=medium

  * Initial release (Closes: #884872)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 24 Dec 2017 22:18:46 +0100
