=== debian/control ===
Source: iem-plugin-suite
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>
Build-Depends: debhelper (>= 11),
 dh-exec,
 juce-modules-source (>= 5.2.1~),
 libasound2-dev, libfreetype6-dev, libcurl4-gnutls-dev | libcurl-dev, libgl1-mesa-dev | libgl-dev, libx11-dev, libxext-dev, libxinerama-dev, libxrandr-dev, libwebkit2gtk-4.0-dev, libgtk-3-dev,
 juce-tools,
 libjack-dev,
 libflac-dev,
 libfftw3-dev,
 libvorbis-dev,
 libogg-dev,
 libjpeg-dev,
 libpng-dev,
 zlib1g-dev | libz-dev,
 xvfb, xauth,
Standards-Version: 4.1.3
Homepage: https://plugins.iem.at/
Vcs-Git: https://salsa.debian.org/multimedia-team/iem-plugin-suite.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/iem-plugin-suite

Package: iem-plugin-suite-vst
Architecture: any
Built-Using: ${juce:BuiltUsing}
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: IEM's spatialization suite - VST plugins
 The IEM Plug-in Suite is an audio plugin suite created at the Institute of
 Electronic Music and Acoustics (Graz, Austria).
 It features Higher-Order Ambisonic plug-ins (up to 7th order), among them a
 number of state of the art encoders, directional compressors, directivity
 shapers, delay and reverb effects and analysis tools.
 .
 This package provides the VST2 plugins

Package: iem-plugin-suite-standalone
Architecture: any
Built-Using: ${juce:BuiltUsing}
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: IEM's spatialization suite - standalone
 The IEM Plug-in Suite is an audio plugin suite created at the Institute of
 Electronic Music and Acoustics (Graz, Austria).
 It features Higher-Order Ambisonic plug-ins (up to 7th order), among them a
 number of state of the art encoders, directional compressors, directivity
 shapers, delay and reverb effects and analysis tools.
 .
 This package provides the plugins as standalone applications.
