=== debian/rules ===
#!/usr/bin/make -f
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export MAKEFLAGS = V=1 CONFIG=Release TARGET_ARCH=-DDEBIAN_BUILD=1

PCDEPS=jack flac vorbis vorbisenc vorbisfile ogg libjpeg libpng zlib fftw3f

# see ENVIRONMENT in dpkg-buildflags(1)
export DEB_CPPFLAGS_MAINT_APPEND  = -DJUCE_JACK=1
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic \
	$(shell pkg-config --cflags $(PCDEPS))
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed \
	$(shell pkg-config --libs $(PCDEPS))

JUCE_VERSION := $(shell dpkg-query --show --showformat='$${source:Version}' juce-modules-source)

%:
	dh $@


override_dh_install:
	for d in _man _vst _bin; do rm -rf $(CURDIR)/$$d; mkdir -p $(CURDIR)/$$d; done
	# install the VST plugins and the standalong applications
	find $(CURDIR) -mindepth 1 -maxdepth 2 -type f -name "*.jucer" \
		-exec $(CURDIR)/debian/install.sh {} +
	
	dh_install

	# create symlinks to the various VST search paths
	mkdir -p $(CURDIR)/debian/tmp/usr/lib/lxvst/ $(CURDIR)/debian/tmp/usr/lib/vst/
	mkdir -p $(CURDIR)/debian/tmp/usr/lib/lxvst/ $(CURDIR)/debian/tmp/usr/lib/vst/
	## ardour
	ln -s /usr/lib/$(DEB_HOST_MULTIARCH)/iem-plugin-suite/vst $(CURDIR)/debian/tmp/usr/lib/lxvst/iem.at
	## carla
	ln -s /usr/lib/$(DEB_HOST_MULTIARCH)/iem-plugin-suite/vst $(CURDIR)/debian/tmp/usr/lib/vst/iem.at

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog.md


override_dh_gencontrol:
	dh_gencontrol -- \
                -Vjuce:BuiltUsing="juce ( = $(JUCE_VERSION) )"


override_dh_auto_clean:
	rm -rf $(patsubst %/, %/JuceLibraryCode, $(dir $(wildcard */*.jucer)))
	rm -rf $(patsubst %/, %/Builds, $(dir $(wildcard */*.jucer)))
	rm -rf _man _vst _bin

licensecheck:
	licensecheck --deb-machine -r * \
		> debian/copyright_newhints
	cmp debian/copyright_hints debian/copyright_newhints \
		&& rm debian/copyright_newhints
