=== debian/watch ===
# Run the "uscan" command to check for upstream uaudiopluginsates and more.
version=3
opts=filenamemangle=s/.*\/repository\/v?([^\/]*)\/archive(@ARCHIVE_EXT@)/@PACKAGE@_$1$2/g \
  https://git.iem.at/audioplugins/IEMPluginSuite/tags .*/repository/v?@ANY_VERSION@/archive@ARCHIVE_EXT@
