=== debian/changelog ===
iem-plugin-suite (1.6.0-1) unstable; urgency=medium

  * New upstream version 1.6.0
  * Refreshed d/copyright_hints
  * Bumped standards version to 4.1.5

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 16 Jul 2018 14:04:47 +0200

iem-plugin-suite (1.4.0-1) unstable; urgency=medium

  * New upstream version 1.4.0

  * Dropped B-D on libgtk-3-dev
  * Dropped fakeX patch
    * Run entire build through xvfb-run

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 24 Jun 2018 17:10:52 +0200

iem-plugin-suite (1.3.1-1) unstable; urgency=medium

  * New upstream version 1.3.1
    * Dropped patches applied upstream.
    * Refreshed patches
  * Dropped dependencies on flac/ogg/vorbis and libwebkit2gtk

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 17 May 2018 22:22:18 +0200

iem-plugin-suite (1.3.0-2) unstable; urgency=medium

  * Fixed FTBS on armel/mips/... by linking with libatomic
  * Make sure that standalones get sorted correctly in the manpage

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 16 May 2018 11:30:55 +0200

iem-plugin-suite (1.3.0-1) unstable; urgency=medium

  * New upstream version 1.3.0 (Closes: #886430)
    * Dropped patches applied upstream
    * Refreshed patches
  * Patch to fix (new) spelling errors
  * Bumped versioned Depends on juce-modules-source (>=5.3.2)
  * Updated d/watch
  * Bumped standards version to 4.1.4

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 14 May 2018 12:55:37 +0200

iem-plugin-suite (1.2.0-1) unstable; urgency=medium

  * New upstream version 1.2.0
    * Backported upstream fixes for missing includes
    * Fix spelling error
  * Updated d/copyright(_hints)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 03 Apr 2018 15:03:20 +0200
