=== debian/control ===
--- 
+++ 
@@ -5,19 +5,16 @@
 Uploaders: IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>
 Build-Depends: debhelper (>= 11),
  dh-exec,
- juce-modules-source (>= 5.2.1~),
- libasound2-dev, libfreetype6-dev, libcurl4-gnutls-dev | libcurl-dev, libgl1-mesa-dev | libgl-dev, libx11-dev, libxext-dev, libxinerama-dev, libxrandr-dev, libwebkit2gtk-4.0-dev, libgtk-3-dev,
+ juce-modules-source (>= 5.3.2~),
+ libasound2-dev, libfreetype6-dev, libcurl4-gnutls-dev | libcurl-dev, libgl1-mesa-dev | libgl-dev, libx11-dev, libxext-dev, libxinerama-dev, libxrandr-dev,
  juce-tools,
  libjack-dev,
- libflac-dev,
  libfftw3-dev,
- libvorbis-dev,
- libogg-dev,
  libjpeg-dev,
  libpng-dev,
  zlib1g-dev | libz-dev,
  xvfb, xauth,
-Standards-Version: 4.1.3
+Standards-Version: 4.1.5
 Homepage: https://plugins.iem.at/
 Vcs-Git: https://salsa.debian.org/multimedia-team/iem-plugin-suite.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/iem-plugin-suite
