=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,16 @@
 
 # see FEATURE AREAS in dpkg-buildflags(1)
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
+
+# iem-plugin-suite uses some c++11 features requiring atomic_store_8 and
+# atomic_load_8, so we need to link with libatomic on
+# armel, powerpc, powerpcspe, m68k, mips, mipsel, and sh4
+# see also:
+# - https://gcc.gnu.org/wiki/Atomic
+# - https://gcc.gnu.org/wiki/Atomic/GCCMM/LIbrary
+# - the 'clasp' packaging
+noatomicarch = $(shell dpkg-architecture -qDEB_HOST_ARCH | egrep -x "(armel|powerpc|powerpcspe|m68k|mips|mipsel|sh4)")
 
 export MAKEFLAGS = V=1 CONFIG=Release TARGET_ARCH=-DDEBIAN_BUILD=1
 
@@ -18,17 +28,24 @@
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed \
 	$(shell pkg-config --libs $(PCDEPS))
 
+# link with libatomic on architectures without built-in atomic
+ifeq ($(if $(noatomicarch),atomic), atomic)
+	DEB_LDFLAGS_MAINT_APPEND += -latomic
+endif
+
 JUCE_VERSION := $(shell dpkg-query --show --showformat='$${source:Version}' juce-modules-source)
 
 %:
 	dh $@
 
-
+override_dh_auto_build:
+	xvfb-run -a dh_auto_build
 override_dh_install:
 	for d in _man _vst _bin; do rm -rf $(CURDIR)/$$d; mkdir -p $(CURDIR)/$$d; done
 	# install the VST plugins and the standalong applications
-	find $(CURDIR) -mindepth 1 -maxdepth 2 -type f -name "*.jucer" \
-		-exec $(CURDIR)/debian/install.sh {} +
+	find $(CURDIR) -mindepth 1 -maxdepth 2 -type f -name "*.jucer" -not -name "_*" -not -name "*/_*" -print0 \
+		| LC_COLLATED=C sort -z \
+		| xargs -r0 $(CURDIR)/debian/install.sh
 	
 	dh_install
