=== debian/changelog ===
iem-plugin-suite (1.9.0-1) unstable; urgency=medium

  * New upstream version 1.9.0
    * Drop patches applied upstream
    * Require JUCE>=5.4 for building
  * Provide symlinks to standard locations of VST-plugins
  * Bumped standards version to 4.3.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 10 Jan 2019 21:54:46 +0100

iem-plugin-suite (1.8.1-1) unstable; urgency=medium

  * New upstream version 1.8.1
    * Backported patch to properly resave JUCE projects
  * Set iem-plugin-suite-vst to "Multi-Arch: same"

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 06 Dec 2018 15:21:18 +0100

iem-plugin-suite (1.7.1-1) unstable; urgency=medium

  * New upstream version 1.7.1
  * Declare that the package can be built without "root" privilieges

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 26 Oct 2018 21:30:27 +0200

iem-plugin-suite (1.7.0-1) unstable; urgency=medium

  * New upstream version 1.7.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 28 Sep 2018 18:38:42 +0200

iem-plugin-suite (1.6.0-2) unstable; urgency=medium

  * Disallow parallel builds (hopefully fixing FTBFS)
  * Bumped standards to 4.2.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 03 Sep 2018 21:25:35 +0200
