=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>
 Build-Depends: debhelper (>= 11),
  dh-exec,
- juce-modules-source (>= 5.3.2~),
+ juce-modules-source (>= 5.4.0~),
  libasound2-dev, libfreetype6-dev, libcurl4-gnutls-dev | libcurl-dev, libgl1-mesa-dev | libgl-dev, libx11-dev, libxext-dev, libxinerama-dev, libxrandr-dev,
  juce-tools,
  libjack-dev,
@@ -14,7 +14,8 @@
  libpng-dev,
  zlib1g-dev | libz-dev,
  xvfb, xauth,
-Standards-Version: 4.1.5
+Standards-Version: 4.3.0
+Rules-Requires-Root: no
 Homepage: https://plugins.iem.at/
 Vcs-Git: https://salsa.debian.org/multimedia-team/iem-plugin-suite.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/iem-plugin-suite
@@ -22,6 +23,7 @@
 Package: iem-plugin-suite-vst
 Architecture: any
 Built-Using: ${juce:BuiltUsing}
+Multi-Arch: same
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
