## iem-plugin-suite 1.11.0

=== Makefile ===
--- 
+++ 
@@ -18,6 +18,8 @@
 # how many parallel builds we want
 #PARALLEL = 1
 PARALLEL =
+
+remove_intermediates = no
 
 # the buildsystem we are using
 # possible values: LinuxMakefile XCode
@@ -120,6 +122,9 @@
 		-C $(<D) \
 		CONFIG="$(CONFIG)" \
 		$(TARGET)
+ifeq ($(remove_intermediates), yes)
+	rm -rf $(<D)/build/intermediate/
+endif
 %-LinuxMakefile-clean: %/Builds/LinuxMakefile/Makefile
 	make -C $(<D) \
 		CONFIG="$(CONFIG)" \
@@ -135,6 +140,7 @@
 		-target "$(firstword $(subst /, ,$<)) - All" \
 		-configuration "$(CONFIG)" \
 		build
+	find $(<D)/../
 %-XCode-clean: $$(subst @,%,@/Builds/MacOSX/@.xcodeproj/project.pbxproj)
 	xcodebuild \
 		-project $(<D) \
@@ -153,6 +159,7 @@
 	MSBuild.exe $(buildflags) \
 		-p:Configuration="$(WINTARGET)",Platform=$(WINPLATFORM) \
 		$<
+	find $(<D)/
 %-VS2017-clean: $$(subst @,%,@/Builds/VisualStudio2017/@.sln)
 	MSBuild.exe \
 		-p:Configuration="$(WINTARGET)",Platform=$(WINPLATFORM) \
