=== debian/changelog ===
iem-plugin-suite (1.11.0-2) unstable; urgency=medium

  * Cherrypick upstream's fix for (not) using SIMDRegister on non-amd64
    * Fixes FTBFS on non-amd64 architectures

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 12 Dec 2019 13:33:37 +0100

iem-plugin-suite (1.11.0-1) unstable; urgency=medium

  * New upstream version 1.11.0
    (Closes: #925716)

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Remove Multi-Arch:same for iem-plugin-suite-vst
  * Update d/copyright
    * Regenerate d/copyright

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat
  * Bump Standards-Version to 4.4.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 11 Dec 2019 16:10:20 +0100
