=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 11),
  dh-exec,
  juce-modules-source (>= 5.4.0~),
  libasound2-dev, libfreetype6-dev, libcurl4-gnutls-dev | libcurl-dev, libgl1-mesa-dev | libgl-dev, libx11-dev, libxext-dev, libxinerama-dev, libxrandr-dev,
@@ -14,7 +14,7 @@
  libpng-dev,
  zlib1g-dev | libz-dev,
  xvfb, xauth,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Rules-Requires-Root: no
 Homepage: https://plugins.iem.at/
 Vcs-Git: https://salsa.debian.org/multimedia-team/iem-plugin-suite.git
@@ -23,7 +23,6 @@
 Package: iem-plugin-suite-vst
 Architecture: any
 Built-Using: ${juce:BuiltUsing}
-Multi-Arch: same
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
