=== debian/rules ===
--- 
+++ 
@@ -39,7 +39,7 @@
 	dh $@
 
 override_dh_auto_build:
-	xvfb-run -a dh_auto_build
+	xvfb-run -a dh_auto_build --no-parallel
 override_dh_install:
 	for d in _man _vst _bin; do rm -rf $(CURDIR)/$$d; mkdir -p $(CURDIR)/$$d; done
 	# install the VST plugins and the standalong applications
