## iem-plugin-suite 1.11.1

=== debian/changelog ===
iem-plugin-suite (1.11.1-1) unstable; urgency=medium

  * New upstream version 1.11.1 (Closes: #952048)
    * Drop patches applied upstream
  * Fix dependencies
    * Tighten versioned B-D on "juce-modules-source" to >5.4.5
    * Tighten versioned B-D on "juce-tools" to >5.4.4
    * Specifying common library is no longer needed
  * Update d/copyright
    * Regenerate d/copyright_hints
  * Add salsa-ci configuration
  * Bump dh-compat to 12
  * Declare compliance with standards version 4.5.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 08 Apr 2020 15:05:54 +0200
