=== debian/control ===
--- 
+++ 
@@ -3,18 +3,18 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>
-Build-Depends: debhelper-compat (= 11),
+Build-Depends: debhelper-compat (= 12),
  dh-exec,
- juce-modules-source (>= 5.4.0~),
+ juce-modules-source (>= 5.4.5~),
  libasound2-dev, libfreetype6-dev, libcurl4-gnutls-dev | libcurl-dev, libgl1-mesa-dev | libgl-dev, libx11-dev, libxext-dev, libxinerama-dev, libxrandr-dev,
- juce-tools,
+ juce-tools (>= 5.4.4~),
  libjack-dev,
  libfftw3-dev,
  libjpeg-dev,
  libpng-dev,
  zlib1g-dev | libz-dev,
  xvfb, xauth,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://plugins.iem.at/
 Vcs-Git: https://salsa.debian.org/multimedia-team/iem-plugin-suite.git
