=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,7 @@
 
 export MAKEFLAGS = V=1 CONFIG=Release TARGET_ARCH=-DDEBIAN_BUILD=1
 
-PCDEPS=jack flac vorbis vorbisenc vorbisfile ogg libjpeg libpng zlib fftw3f
+PCDEPS=fftw3f
 
 # see ENVIRONMENT in dpkg-buildflags(1)
 export DEB_CPPFLAGS_MAINT_APPEND  = -DJUCE_JACK=1
